Skip to main content
POST
/
products
/
{id}
/
short_links
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const shortLink = await client.products.shortLinks.create('pdt_R8AWMPiV8RyJElcCKvAID', {
  slug: 'slug',
});

console.log(shortLink.full_url);
{
  "full_url": "<string>",
  "short_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Product Id

Body

application/json
slug
string
required

Slug for the short link.

static_checkout_params
object

Static Checkout URL parameters to apply to the resulting short URL.

Response

Short URL

full_url
string
required

Full URL.

short_url
string
required

Short URL.

Last modified on March 25, 2026